Subject: Re: xpce

From: Jan Wielemaker <[email-masked]>
Date: Tue, 29 Jan 2002 10:02:44 +0100

On Tuesday 29 January 2002 07:49, [email-masked] wrote:

> To include my libraries also, I linked my library libalok.so with other
> libraries but executable built is behaving differently.
>
> When I run xpce it start with following messages:
> =========================================
> XPCE Development system (5.1.10, December 2001 for sparc-solaris2.7 and
> X11R6) Copyright 1993-2001, University of Amsterdam.
> Copying: GPL-2 (see file COPYING or www.gnu.org)
> The host-language is SWI-Prolog version 4.0.11
>
> For HELP on prolog, please type help. or apropos(topic).
>          on xpce, please type manpce.
>
> 1 ?-
>
> When I run myexe it start with following messages:
> ==========================================
> Welcome to SWI-Prolog (Version 4.0.11)
> Copyright (c) 1990-2000 University of Amsterdam.
> Copy policy: GPL-2 (see www.gnu.org)
>
> For help, use ?- help(Topic). or ?- apropos(Word).
>
> 1 ?-
>
> Why is the difference when procedure is the same? I added my library only.
> It seems to me that XPCE kernal is missed out in my case but why?
> Please help me.

The trick is explained with `system initialisation files'; the things
you may specify using the -F flag.  Have a look at

http://www.swi.psy.uva.nl/projects/SWI-Prolog/Manual/cmdline.html

on the -F option.

	Cheers --- Jan